#ifndef _GLOBALVAR_H_
#define _GLOBALVAR_H_

#ifdef __cplusplus
	extern "C" {
#endif

#ifdef _MAIN_
/************************************************************************
**  Global Variable Declaration
************************************************************************/
Uint8	data	DelayCnt;
Uint8	data	Timer;
Uint8	data	Timer1;
Uint8	data	TimeoutFlag;
Uint8	idata	LossCnt;
Uint16	idata	RxCnt;
Uint32	idata	Err_ByteCnt;
Uint32	idata	Err_BitCnt;
Uint16	idata	TimerCnt0;
Uint8	xdata	*Uartptr;
Uint8	data	UartSendCnt;
Uint8	data	CmdBuf[12];
Uint8	xdata	Tmpbuf[128]; 
Uint8	idata	Err_Frame;
Uint8	data	SubRxCnt;
Uint8	data	Flag_Report;
Uint8	data	CalResault;
Uint8	data	F_INT5;
Uint8	data	RF_Flag;
Uint8	data	SleepTimer_Flag;

//CH add
Uint8  	xdata	UartRXBuf[64];
Uint8	xdata	UartCnt;

const Uint8 code BitCount_Tab[16] = {0, 1, 1, 2, 1, 2, 2, 3, 1, 2, 2, 3, 2, 3, 3, 4};
const Uint8 code ID_Tab[8] = {0x34, 0x75, 0xC5, 0x2A, 0xC7, 0x33, 0x45, 0xEA}; //ID code
const Uint8 code PageTab[8] = {0x00, 0x10, 0x20, 0x30, 0x40, 0x50, 0x60, 0x70};//page select
const Uint8 code PN9_Tab[]=
{   0xFF, 0x83, 0xDF, 0x17, 0x32, 0x09, 0x4E, 0xD1,	
    0xE7, 0xCD, 0x8A, 0x91, 0xC6, 0xD5, 0xC4, 0xC4,
    0x40, 0x21, 0x18, 0x4E, 0x55, 0x86, 0xF4, 0xDC,
    0x8A, 0x15, 0xA7, 0xEC, 0x92, 0xDF, 0x93, 0x53,
    0x30, 0x18, 0xCA, 0x34, 0xBF, 0xA2, 0xC7, 0x59,
    0x67, 0x8F, 0xBA, 0x0D, 0x6D, 0xD8, 0x2D, 0x7D,
    0x54, 0x0A, 0x57, 0x97, 0x70, 0x39, 0xD2, 0x7A,
    0xEA, 0x24, 0x33, 0x85, 0xED, 0x9A, 0x1D, 0xE0			
};	// This table are 64bytes PN9 pseudo random code.

#else 

/************************************************************************
**  Extern Global Variable Declaration
************************************************************************/
extern Uint8	data	DelayCnt;
extern Uint8	data	Timer;
extern Uint8	data	Timer1;
extern Uint8	data	TimeoutFlag;
extern Uint8	idata	LossCnt;
extern Uint16	idata	RxCnt;
extern Uint32	idata	Err_ByteCnt;
extern Uint32	idata	Err_BitCnt;
extern Uint16	idata	TimerCnt0;
extern Uint8	data	*Uartptr;
extern Uint8	data	UartSendCnt;
extern Uint8	data	CmdBuf[12];
extern Uint8	xdata	Tmpbuf[128];
extern Uint8	idata	Err_Frame;
extern Uint8	data	SubRxCnt;
extern Uint8	data	Flag_Report;
extern Uint8	data	CalResault;
extern Uint8	data	F_INT5;
extern Uint8	data	RF_Flag;

extern const Uint8 code BitCount_Tab[16];
extern const Uint8 code ID_Tab[8];
extern const Uint8 code PageTab[8];
extern const Uint8 code PN9_Tab[];

//CH add
extern Uint8  	xdata	UartRXBuf[64];
extern Uint8	xdata	UartCnt;

#endif

#ifdef __cplusplus
}
#endif

#endif
