/********************************************************************                                                                  **
**  Device:     A8137F4
**  File:		Uti.c	
********************************************************************/
#define __UTI_C_

#include "main.h"

#define _DELAY_10US_
//#define _DELAY_100US_
//#define _DELAY_1MS_
#define _DELAY_10MS_

#ifdef _DELAY_1MS_
/**********************************************************
* Delay1ms
**********************************************************/
void Delay1ms(Uint8 n)
{
    Uint8 i,j;

    while(n--)
	{
        for(i=0; i<12; i++)
            for(j=0; j<220 ;j++);
	}
}
#endif

#ifdef _DELAY_10MS_
/**********************************************************
* Delay10ms
**********************************************************/
void Delay10ms(Uint8 n)
{
    Uint8 i,j;
    while(n--)
    {
        for(i=0;i<106;i++)
            for(j=0;j<250;j++);
    }
}
#endif

#ifdef _DELAY_100US_
/**********************************************************
* Delay100us
**********************************************************/
void Delay100us(Uint8 n)
{
    Uint8 i;
    while(n--)
	{
        for(i=0;i<120;i++)
		{
			_nop_();
		}
	}
}
#endif

#ifdef _DELAY_10US_
/**********************************************************
* Delay10us
**********************************************************/
void Delay10us(Uint8 n)
{
    Uint8 i;
    while(n--)
	{
        for(i=0;i<9;i++)
			_nop_();
	
	}
}
#endif